commit:     de51b225b025aadfe050cfb7290829c2a160cde1
Author:     Tupone Alfredo <tupone <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 19 20:55:56 2019 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Thu Jun 20 07:16:43 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=de51b225

dev-ada/libadalang: can build static or shared

Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>
Package-Manager: Portage-2.3.66, Repoman-2.3.11

 dev-ada/libadalang/libadalang-2019.ebuild | 19 +++++++++++++++++--
 1 file changed, 17 insertions(+), 2 deletions(-)

diff --git a/dev-ada/libadalang/libadalang-2019.ebuild 
b/dev-ada/libadalang/libadalang-2019.ebuild
index 456a0f54f86..823b7b6d2d1 100644
--- a/dev-ada/libadalang/libadalang-2019.ebuild
+++ b/dev-ada/libadalang/libadalang-2019.ebuild
@@ -37,7 +37,19 @@ src_configure() {
 }
 
 src_compile() {
-       ada/manage.py -v debug build --build-mode='prod' || die
+       libtype=relocatable
+       if use shared; then
+               if use static-libs; then
+                       libtype=static,relocatable
+               fi
+       elif use static-libs; then
+               libtype=static
+       fi
+       ada/manage.py \
+               -v \
+               --library-types $libtype \
+               build \
+               --build-mode='prod' || die
 }
 
 src_test () {
@@ -46,7 +58,10 @@ src_test () {
 }
 
 src_install () {
-       ada/manage.py install "${D}"/usr || die
+       ada/manage.py \
+               -v \
+               --library-types $libtype \
+               install "${D}"/usr || die
        python_domodule build/python/libadalang
        rm -r "${D}"/usr/python || die
 }

Reply via email to